summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-602412-dequote-redirect
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2012-07-11 11:07:54 +0200
committerDavid Kalnischkies <kalnischkies@gmail.com>2012-07-11 11:07:54 +0200
commitd37911acee3eb34368e6d9e6a0046c9150d2bce6 (patch)
tree37c553558066d31df87e3aa1a94cdbac3019f48a /test/integration/test-bug-602412-dequote-redirect
parent3522b1a8f16f45cf9c0c45b8b86cc886f1368df4 (diff)
add simple url rewriting to the webserver
Diffstat (limited to 'test/integration/test-bug-602412-dequote-redirect')
-rwxr-xr-xtest/integration/test-bug-602412-dequote-redirect29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/integration/test-bug-602412-dequote-redirect b/test/integration/test-bug-602412-dequote-redirect
new file mode 100755
index 000000000..f1e67c6d8
--- /dev/null
+++ b/test/integration/test-bug-602412-dequote-redirect
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'unrelated' 'all' '0.5~squeeze1' 'unstable'
+
+setupaptarchive
+changetowebserver -o aptwebserver::redirect::replace::/pool/=/newpool/ \
+ -o aptwebserver::redirect::replace::/dists/=/newdists/
+
+mv aptarchive/pool aptarchive/newpool
+mv aptarchive/dists aptarchive/newdists
+
+msgtest 'Test redirection works in' 'apt-get update'
+aptget update -qq && msgpass || msgfail
+
+# check that I-M-S header is kept in redirections
+testequal 'Hit http://localhost unstable InRelease
+Hit http://localhost unstable/main Sources
+Hit http://localhost unstable/main amd64 Packages
+Hit http://localhost unstable/main Translation-en
+Reading package lists...' aptget update
+
+msgtest 'Test redirection works in' 'package download'
+aptget install unrelated --download-only -qq && msgpass || msgfail